zsh-workers
 help / color / mirror / code / Atom feed
From: Clint Adams <schizo@debian.org>
To: zsh-workers@sunsite.auc.dk
Subject: PATCH: [3.1.6-pws-3] fix use of DESTDIR in fns
Date: Tue, 7 Sep 1999 18:24:01 -0400	[thread overview]
Message-ID: <19990907182401.A28749@dman.com> (raw)

--- zsh-3.1.6.pws3.orig/Config/installfns.sh
+++ zsh-3.1.6.pws3/Config/installfns.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-if test -d $fndir.old; then
+if test -d $DESTDIR$fndir.old; then
   add_old=1
 fi
 
@@ -22,27 +22,27 @@
     if test x$FUNCTIONS_SUBDIRS != x -a x$FUNCTIONS_SUBDIRS != xno; then
       subfile="$file"
       subdir="`echo $file | sed -e 's%/[^/]*$%%'`"
-      olddir="$fndir.old/$subdir"
-      instdir="$fndir/$subdir"
+      olddir="$DESTDIR$fndir.old/$subdir"
+      instdir="$DESTDIR$fndir/$subdir"
     else
       subfile="`echo $file | sed -e 's%^.*/%%'`"
-      olddir="$fndir.old"
-      instdir="$fndir"
+      olddir="$DESTDIR$fndir.old"
+      instdir="$DESTDIR$fndir"
     fi
-    if test -f $fndir/$subfile; then
-      if cmp $fndir/$subfile $sdir/$file >/dev/null; then :; else
+    if test -f $DESTDIR$fndir/$subfile; then
+      if cmp $DESTDIR$fndir/$subfile $sdir/$file >/dev/null; then :; else
 	$sdir_top/mkinstalldirs $olddir
-        mv $fndir/$subfile $olddir
+        mv $DESTDIR$fndir/$subfile $olddir
         : ${add_old:=1}
       fi
     fi
-    $sdir_top/mkinstalldirs $DESTDIR$instdir || exit 1
-    $INSTALL_DATA $sdir/$file $DESTDIR$instdir || exit 1
+    $sdir_top/mkinstalldirs $instdir || exit 1
+    $INSTALL_DATA $sdir/$file $instdir || exit 1
   fi
 done
 
 if test x$add_old != x1; then
-  rm -rf $fndir.old
+  rm -rf $DESTDIR$fndir.old
 fi
 
 exit 0


             reply	other threads:[~1999-09-07 22:24 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
1999-09-07 22:24 Clint Adams [this message]
1999-09-07 23:03 ` Bart Schaefer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=19990907182401.A28749@dman.com \
    --to=schizo@debian.org \
    --cc=zsh-workers@sunsite.auc.dk \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://git.vuxu.org/mirror/zsh/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).